## Path to the MSI installer
$MSIURL = 'https://enscape-installer.chaosgroup.com/installer.enscape.io/Enscape-3.5.1%2B109642.msi'

## Run the installer
$INSTALLER = Download-File -URL $MSIURL
LogMsg "Installing Enscape from ""${INSTALLER}"""
Try { Start-Process "msiexec.exe" -ArgumentList "/i ${INSTALLER} /qn /norestart ACCEPTEULA=1 ALLUSERS=1" -Wait -ErrorAction Stop }
Catch { LogErr $_.Exception.Message }

## Delete installer
Try {
    LogMsg "Deleting downloaded installation package"
    Remove-Item $INSTALLER -Force -ErrorAction SilentlyContinue
}
Catch { LogErr $_.Exception.Message }
